/* bhole header - memory managment */
#ifndef _BHOLE_H_MM
#define _BHOLE_H_MM

#define FIRSTMCB_POS 0x9CE0
#define FIRSTMCB_SEG 0x9CE
#define FIRSTMEMB_SIZE (PSPSEG + 0x10 - FIRSTMCB_SEG - 1)
void make_mcb(unsigned int pos,unsigned short owner,unsigned short size);
void init_mcbs();
/* inter-module stuff cannot be done __inline */
/* __inline */ unsigned int skip_used_mcbs(unsigned int ofs);
/* __inline */ unsigned int count_free_paras(unsigned int ofs,const unsigned int limit);
int resize_first_mblk(int newsize);


#endif

